/* Voy a ser sincero: no me acuerdo de como era el diseño así que me he centrado solo en la organización de los elementos */


/*
font-style || font-weight || font-stretch || m font-size || line-height || m font-family
*/

:root {

    --h1-titillium:   700 40px /1.2 'Titillium Web', sans-serif;
    --h2-titillium:   700 32px /1.2 'Titillium Web', sans-serif;
    --body-titillium: 400 18px /1.2 'Titillium Web', sans-serif;

    --h1-karma:       700 40px /1.2 'Karma',         sans-serif;
    --h2-karma:       700 32px /1.2 'Karma',         sans-serif;
    --body-karma:     500 18px /1.2 'Karma',         sans-serif;

    --highlight: #E3EFFD;
    --background-dark: #b0c3da;
}

* {
    margin: 0;
    padding: 0;
    font: var(--body-titillium);
}

h1 { font: var(--h1-titillium); }
h2 { font: var(--h2-titillium); }

body {
    background-color: var(--background-dark);
}



header {
    display: flex;
    justify-content: center;
    padding: 2em;

    background-color: var(--highlight);
}




.container {
    display: grid;
    padding: 2em;

    gap: 1em;
}



/* -------------------------------- Tarjetas */
section {
    display: flex;
    flex-flow: column;
}

    .imagen {
        display: flex;
    }
    .imagen > img, .imagen > video {
        width: 100%;
    }
    .texto {
        background-color: white;
        padding: 20px;
    }


/* -------------------------------- Breakpoints */
@media only screen and (min-width: 500px) {
    
    .container {
        grid-template-columns: 1fr 1fr;
    }

}
@media only screen and (min-width: 800px) {
    
    .container {
        grid-template-columns: 1fr 1fr 1fr;
    }

}



/* chuleta flex

justify-content  alinear horizontalmente
align-items      alinear verticalmente
flex-direction   añadir más tarde

order            cambiar el orden de los elementos
align-self       añadir más tarde

flex-wrap        ajustar lo que le pasa a los elementos si salen del viewport
flex-flow        dirección del auto layout
align-content    añadir más tarde

*/